Summary:	MFC/R2 signalling over E1 lines using the DAHDI Telephony interface
Name:		openr2
Version:	1.3.2
Release:	%mkrel 2
License:	GPLv2
Group:		System/Servers
URL:		http://code.google.com/p/openr2/
Source0:	http://openr2.googlecode.com/files/openr2-%{version}.tar.gz
Patch0:		openr2-queue-unused-variable-fix.patch
Patch1:		openr2-nosvn.patch
BuildRequires:	dahdi-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the DAHDI Telephony interface. The MF R2 tones required for the signaling are
generated by code borrowed from the LGPL library SpanDSP written by Steve Underwood, 
the user has the option to provide a MF interface to use his own MF R2 tone generation
and detection so the library will use them when needed, that's why this library does not 
depend directly on spandsp, libteletone or zaptel for tone generation and detection
(depends on zaptel for CAS bits and general media transmission though)

%package devel
Summary:	openr2 header files
Group:		Development/C

%description devel
This package contains the openr2 development header files.

%prep

%setup -q
%patch0 -p0
%patch1 -p1

%build

%configure2_5x --with-pic
%make

%install

rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root, root)
%doc README doc/*
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/r2proto.conf
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/r2test.conf
%attr(0755,root,root) %{_bindir}/r2dtmf_detect
%attr(0755,root,root) %{_bindir}/r2test
%attr(0755,root,root) %{_libdir}/libopenr2.so
%{_mandir}/man*/*

%files devel
%{_includedir}/openr2.h
%{_includedir}/openr2/r2chan.h
%{_includedir}/openr2/r2context.h
%{_includedir}/openr2/r2log.h
%{_includedir}/openr2/r2proto.h
%{_includedir}/openr2/r2utils.h
%{_libdir}/libopenr2.a
%{_libdir}/libopenr2.la
%{_libdir}/libopenr2.so.3
%{_libdir}/libopenr2.so.3.1.1





%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.3.2-2.mga3
+ Revision: 362108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 26 2012 dlucio <dlucio> 1.3.2-1.mga2
+ Revision: 226491
- imported package openr2

